Форум dkLab и Denwer
Здесь общаются Web-разработчики.
Генеральный спонсор:
Хостинг «Джино»

какую версию Apache лучше ставить на данный момент ? (Maxit)
Author Message
Maxit
Guest





Карма: 388
   поощрить/наказать


PostPosted: Wed Feb 09, 2005 7:15 am (написано за 18 минут 55 секунд)
   Post subject: какую версию Apache лучше ставить на данный момент ?
Reply with quote

Доброго времени суток автору и форумчанам...
...вот собрался ставить апач : в книге сказано что версию 2.0.. ставить не следует из-за ее нестабильности, но вероятно эта информация уже устарела со времени выхода книги, поскольку на www.apache.org/dist/httpd/binaries/win32/ висит:
 The current stable release is Apache 2.0.52,
но так же в книге сказано, что необходимо скачивать EXE-шник который содержит подстроку no_src, а версии 2.0.52 с такой подстрокой нет (только no_ssl), отсюда вопрос -- стоит ли ставить 2.0.52 или лучше 1.3.33 чтобы не огрести потмо кучу глюков ?
 И сразу еще вопрос : если у хостинг-провайдера будет стоят более старая версия апача, чем та на которой я отлаживаю свой сайт, не возникнут ли у меня проблемы после размещения сайта у провайдера ?

P.S. В качестве пожелания автору: можно в верхней части форума закрепить тему, где бы указывались рекомендуемые к установке на данный момент версии дистрибутивов Apache, PHP, MySQL (т.е. проверенные на глючность и возможные осложнения), думаю данный вопрос возникает у каждого, кто впервые устанавливает у себя локальный сервер.
Back to top
Maxit
Заглянувший



Joined: 09 Feb 2005
Posts: 1
Карма: 0
   поощрить/наказать


PostPosted: Wed Feb 09, 2005 7:33 am (спустя 17 минут; написано за 2 минуты 39 секунд)
   Post subject:
Reply with quote

по поводу предложения извиняюсь, я сюда попал по ссылке book.php5.ru поэтому сразу не обратил внимания, что это не целый форум а всего лишь подтема :)
Back to top
View user's profile Send private message
Дмитрий Котеров
Администратор



Joined: 10 Mar 2003
Posts: 13665
Карма: 412
   поощрить/наказать


PostPosted: Wed Feb 09, 2005 7:44 pm (спустя 12 часов 11 минут; написано за 1 минуту 22 секунды)
   Post subject:
Reply with quote

Лучше ставьте последнюю из ветки 1.3. С 2.0 mod_php очень плохо работает, об этом сами разработчики говорят. Практически у всех хостеров сейчас стоит 1.3.*, и вряд ли в ближайшие 3-4 года ситуация изменится.

Версия 2.0, вообще говоря, отличается от 1.3, однако, если Вы не будете использовать какой-нибудь экзотики, проблем быть не должно.
Back to top
View user's profile Send private message Send e-mail
Юрий Насретдинов
Модератор



Joined: 13 Mar 2003
Posts: 8642
Карма: 198
   поощрить/наказать

Location: 007 495

PostPosted: Wed Feb 09, 2005 8:53 pm (спустя 1 час 9 минут; написано за 18 секунд)
   Post subject:
Reply with quote

Maxit wrote:
The current stable release is Apache 2.0.52
Он может быть стабильным, но это еще не говорит, что он будет «прямо» работать =)
Back to top
View user's profile Send private message Send e-mail
Константин Жинько [tIT]
Сотрудник «Лаборатории»



Joined: 12 Jun 2004
Posts: 2264
Карма: 106
   поощрить/наказать

Location: Москва

PostPosted: Wed Feb 09, 2005 11:10 pm (спустя 2 часа 17 минут; написано за 1 минуту 26 секунд)
   Post subject:
Reply with quote

1.3.33 -- пока последняя из ветки 1.3.x.
Здесь стоит 1.3.29 и php 4.3.10. Вроде неплохо справляются (-;
У меня 1.3.31 и php 4.3.9 -- тоже работают
Back to top
View user's profile Send private message
mordvin
Заглянувший



Joined: 18 Dec 2005
Posts: 2
Карма: 0
   поощрить/наказать

Location: Томск

PostPosted: Wed Dec 28, 2005 7:56 pm (спустя 10 месяцев 18 дней 20 часов 46 минут; написано за 25 секунд)
   Post subject:
Reply with quote

У меня 1.3.33 + 5.0.4 полет нормальный
Back to top
View user's profile Send private message Send e-mail
Дмитрий Котеров
Администратор



Joined: 10 Mar 2003
Posts: 13665
Карма: 412
   поощрить/наказать


PostPosted: Thu Dec 29, 2005 5:03 pm (спустя 21 час 7 минут; написано за 8 секунд)
   Post subject:
Reply with quote

Какая операционка?
Back to top
View user's profile Send private message Send e-mail
kaw
Guest





Карма: 388
   поощрить/наказать


PostPosted: Mon Jan 23, 2006 3:01 am (спустя 24 дня 9 часов 57 минут; написано за 59 секунд)
   Post subject:
Reply with quote

Apache/2.0.54 + PHP Version 4.3.12-dev + MySql 4.1.11
OS - Linux
машина обслуживает ~ 12 сайтов..
в работе более 1 года - глюков замечено небыло...
Back to top
ml05
Заглянувший



Joined: 14 Jan 2006
Posts: 7
Карма: 0
   поощрить/наказать


PostPosted: Mon Jan 23, 2006 10:14 pm (спустя 19 часов 12 минут; написано за 1 минуту 26 секунд)
   Post subject:
Reply with quote

Дмитрий Котеров wrote:
С 2.0 mod_php очень плохо работает, об этом сами разработчики говорят.
Плохо работает только при определенных "редких" условиях.
Кстати, где они об этом говорят?
В документации (php.net/manual/ru/print/install.windows.apache2.php):
Quote:
PHP and Apache 2.0.x compatibility notes: The following versions of PHP are known to work with the most recent version of Apache 2.0.x:

    * PHP 4.3.0 or later available at /downloads.php.
Back to top
View user's profile Send private message
Guest






Карма: 388
   поощрить/наказать


PostPosted: Wed Mar 22, 2006 1:57 pm (спустя 1 месяц 29 дней 15 часов 42 минуты; написано за 15 секунд)
   Post subject:
Reply with quote

У меня 2.2 и всё отлично работает
Back to top
PoCTo guest
Guest





Карма: 388
   поощрить/наказать


PostPosted: Mon Mar 27, 2006 1:16 pm (спустя 4 дня 23 часа 19 минут; написано за 43 секунды)
   Post subject:
Reply with quote

Кто может дать мне откомпилированную версию 2.2?
Back to top
Display posts from previous:   
Post new topic   Reply to topic All times are GMT + 3 Hours
Page 1 of 1    Email to a Friend.
You cannot post new topics in this forum. You cannot reply to topics in this forum. You cannot edit your posts in this forum. You cannot delete your posts in this forum. You cannot vote in polls in this forum. You cannot attach files in this forum. You can download files in this forum.
XML